#ifndef FIREFLIER_CLIENT_H
#define FIREFLIER_CLIENT_H
#include "fireflier_ui.h"

class fireflier_client : public fireflier_main
{ 
    Q_OBJECT

public:
    fireflier_client( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~fireflier_client();
#ifdef WITH_KDE
    void closeEvent( QCloseEvent* ce );
#endif
    int packetAvailable;
public slots:
    void fileExit();
    void helpAbout();
    void view_source();
    void view_iptables();
    void view_userspace();
    void accept_clicked();
    void deny_clicked();
    void del_usrule_clicked();
    void del_iptrule_clicked();
//    void clear_checkboxes();
//    void activate_checkbox3();

};


#endif // FIREFLIER_CLIENT_H
